Uploaded image for project: 'Apache Arrow'
  1. Apache Arrow
  2. ARROW-1243

[Java] security: upgrade all libraries to latest stable versions

Attach filesAttach ScreenshotVotersWatch issueWatchersCreate sub-taskLinkCloneUpdate Comment AuthorReplace String in CommentUpdate Comment VisibilityDelete Comments
    XMLWordPrintableJSON

Details

    • Improvement
    • Status: Resolved
    • Major
    • Resolution: Fixed
    • 0.4.1
    • 0.6.0
    • Java
    • None

    Description

      Some of the java libraries used are very old - e.g. commons-cli dates from 2009.

      Rather than (or as well as) reacting to security vulnerabilities when they are discovered, we should pro-actively update all our libraries to the latest versions.

      Attachments

        Activity

          This comment will be Viewable by All Users Viewable by All Users
          Cancel

          People

            mdarwin Matt Darwin
            mdarwin Matt Darwin
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved:

              Slack

                Issue deployment